nue-python-code-viewer {
  display: block;
  font-family: monospace;
}

.nue-python-container {
  display: grid;
  grid-template-columns: 40px 1fr;
  border: 1px solid #ccc;
  border-radius: 6px;
  overflow: hidden;
}

.line-numbers {
  font-size: 12px;
  background: #f3f3f3;
  text-align: right;
  color: #666;
  user-select: none;
  margin: 0px;
  padding: 0px;
  border-right: 1px solid #ddd;
  line-height: 1;
}

.nue-python-area {
  width: 100%;
  min-height: 300px;
  border: none;
  resize: vertical;
  font-family: 'JetBrains Mono', Consolas, monospace;
  font-size: 12px;
  line-height: 1;
  outline: none;
}